Subject: Re: [bug#78069] [PATCH 0/1] libsecret: Add bin output.

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 29 Apr 2025 09:50:16 +0900

Hi Gabriel,

Gabriel Santos <[email-masked]> writes:

> Greetings,
>
> After reading a Reddit post[1], I discovered that I could easily integrate
> KeePassXC with msmtp and potentially other command-line tools by using its
> Secret Service integration.
>
> This requires the use of the secret-tool command, from the libsecret package.
> Since I only need the command, installing the whole package seems a bit
> too much.
>
> To solve this, this patch creates a new "bin" output for libsecret. The only
> thing missing is the man page, not sure how I would go about adding it to the
> output. Please let me know and I'll send a v2.

I'm not sure if that is worth it; you'd save about 5 megabytes on the
closure of keepassxc, which stands at 1795 MiB according to 'guix size
keepassxc', e.g.:

--8<---------------cut here---------------start------------->8---
$ guix size keepassxc | grep total
total : 1795.7 Mio

$ guix size keepassxc libsecret | grep total
total : 1800.9 Mio
--8<---------------cut here---------------end--------------->8---

On top of potentially surprising users that are used to use 'libsecret'
for the secret-tool command without a bin output, I think you'd need to
also copy the locale data (translated strings for localization) of the
package to the bin output, or keep it in both places.

I personally don't see the value (when compared to the cost), so I think
I'd prefer to keep things as is.  What do you all think?

-- 
Thanks,
Maxim